<%= form_with(model: book) do |form| %>
  <% if book.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(book.errors.count, "error") %> prohibited this book from being saved:</h2>

      <ul>
        <% book.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :title, t('.title') %>
    <%= form.text_field :title %>
  </div>

  <div class="field">
    <%= form.label :author, t('.author') %>
    <%= form.text_field :author %>
  </div>

  <div class="field">
    <%= form.label :description, t('.description') %>
    <%= form.text_area :description %>
  </div>

  <div class="field">
    <%= form.label :isbn, t('.isbn') %>
    <%= form.text_field :isbn %>
  </div>

  <div class="field">
    <%= form.label :page_count, t('.page_count') %>
    <%= form.number_field :page_count %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
